using System.IO;
using System.Windows;

namespace XHWK.WKTool
{
    /// <summary>
    /// Welcome.xaml 的交互逻辑
    /// </summary>
    public partial class Welcome : Window
    {
        public Welcome()
        {
            InitializeComponent();

            //new DeviceWindow().Show();
            //Close();
            if (!File.Exists(App.DataPath + "signature.txt")) //上次登录时间为空 或者签名为空 或者上次登录时间不是今天   都需要输入密匙验证 ，否则只验证本地的签名
            {
                new KeyVerification().Show();
                Close();
            }
            else
            {
                new ProductVerification().Show();
                Close();
            }
        }
    }
}
